Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2007-AVI-067

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 05 février 2007
No CERTA-2007-AVI-067

Affaire suivie par :

CERTA

AVIS DU CERTA

Objet : Multiples vulnérabilités de Wireshark (Ethereal)


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2007-AVI-067

Gestion du document


Tableau 1: Gestion du document
Référence CERTA-2007-AVI-067
Titre Multiples vulnérabilités de Wireshark (Ethereal)
Date de la première version 05 février 2007
Date de la dernière version -
Source(s) Annonce des modifications pour Wireshark 0.99.5 du 01 février 2007
Pièce(s) jointe(s) Aucune

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

  • Déni de service à distance ;
  • contournement de la politique de sécurité.

2 Systèmes affectés

  • Wireshark, pour les versions antérieures à 0.99.5.

3 Résumé

Plusieurs vulnérabilités ont été identifiées dans Wireshark (Ethereal). Elles permettraient à une personne malveillante distante, de provoquer une perturbation du service sur le système utilisant une version vulnérable.

4 Description

Ethereal est un logiciel de capture et d'analyse de trafic réseau. Le projet Ethereal a été interrompu au cours de l'année 2006, et son développement se poursuit actuellement sous le nom de Wireshark.

De multiples vulnérabilités ont été identifiées dans ce dernier. Parmi celles-ci, certaines concernent :

  • le module d'analyse du protocole TCP : l'analyse de paquets fragmentés HTTP ne serait pas correctement effectuée, du à un problème de mise en œuvre dans le fichier packet-tcp.c ;
  • le module d'analyse du protocole HTTP : cette vulnérabilité n'est pas documentée ;
  • le module d'analyse protocolaire 802.11, pour les trames Wi-Fi ;
  • le module d'analyse du protocole LLT (Low Latency Transport), utilisé pour les communications entre serveurs utilisant le logiciel VCS (pour Veritas Cluster Server).

Une personne malveillante pourrait construire un paquet exploitant l'une de ces vulnérabilités, afin de perturber le service Wireshark, qui capturerait et tenterait d'analyser cette trame.

5 Solution

Se référer au bulletin de sécurité de l'éditeur pour l'obtention des correctifs (cf. section Documentation).

6 Documentation

Gestion détaillée du document

05 février 2007
version initiale.


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-09-22